! Descrip.MMS to build all of Mosaic 2.0
! Bjorn S. Nilsson, Aleph, CERN, 22-Nov-1993
! Support for Motif 1.2 added on 3-Jun-1994
! Mosaic 2.4 on 21-Aug-1994
! Mosaic 2.6 on 1-Nov-1995, George Cook
!
! Usage:
!        $ MMS/MACRO=(macro_list)
!
! This DESCRIP.MMS may need several of the following macros:
!  MULTINET=1              Use MULTINET (default is UCX)
!  DEBUG=1                 Make a debug executable
!  DECC=1                  DEC C compilation.
!  PATHWAY=1               Use PathWay as TCP transport. (PathWay is
!                          Wollongong)
!  MOTIF1_2                Use Motif 1.2 libraries.
!  NOWAIS=1                Compile without direct WAIS support
!  USE_MMK=1               Build using MMK instead of MMS
!
!
! You should also check the DESCRIP.MMS files in the subdirectories. There
! are some hard-coded options.
!

.FIRST
	@ @MMS_Check "$(MMSQUALIFIERS)"
.IFDEF DECC
IQUAL=
.ELSE
IQUAL=/Ignore=Warning
.ENDIF

.IFDEF NOWAIS
default : libwww2 libXmx libhtmlw libjpeg src
.ELSE
default : libWAIS libwww2 libXmx libhtmlw libjpeg src
.ENDIF
	@ Write SYS$Output "The executable is in [.src]Mosaic.exe"

libWAIS :
	@ Write SYS$Output "--- Building libWAIS"
	@ Set Default [.freeWAIS-0_3.ir]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)
.ENDIF
	@ Set Default [-.-]

libXmx :
	@ Write SYS$Output "--- Building libXmx"
	@ Set Default [.libxmx]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)
.ENDIF
	@ Set Default [-]

libhtmlw :
	@ Write SYS$Output "--- Building libhtmlw"
	@ Set Default [.libhtmlw]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)
.ENDIF
	@ Set Default [-]

libwww2 :
	@ Write SYS$Output "--- Building libwww2"
	@ Set Default [.libwww2]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)$(IQUAL)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)$(IQUAL)
.ENDIF
	@ Set Default [-]

libjpeg :
	@ Write SYS$Output "--- Building libjpeg"
	@ Set Default [.libjpeg]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)
.ENDIF
	@ Set Default [-]

src :
	@ Write SYS$Output "--- Building src"
	@ Set Default [.src]
.IFDEF USE_MMK
	@ MMK$(MMSQUALIFIERS)$(IQUAL)
.ELSE
	@ $(MMS)$(MMSQUALIFIERS)$(IQUAL)
.ENDIF
	@ Set Default [-]

clean :
	@ Write SYS$Output "--- Cleaning tree"
	@ Set Default [.freeWAIS-0_3.ir]
	@ Delete *.obj.*, *.olb.*
	@ Set Default [-.-]
!
	@ Set Default [.libxmx]
	@ Delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.libhtmlw]
	@ Delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.libwww2]
	@ Delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.libjpeg]
	@ Delete *.obj.*, *.olb.*
	@ Set Default [-]
!
	@ Set Default [.src]
	@ Delete *.obj.*
	@ Set Default [-]
